##
##  apache-cloudflare.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2012 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_tarball 20120606
%define       V_github  67efba7

#   package information
Name:         apache-cloudflare
Summary:      Apache Extension: CloudFlare.com Support
URL:          http://github.com/cloudflare/CloudFlare-Tools/
Vendor:       CloudFlare
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Web
License:      Apache
Version:      %{V_tarball}
Release:      20120606

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/cloudflare/cloudflare-%{V_tarball}.tar.gz
Source1:      apache-cloudflare.conf

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101, make
PreReq:       OpenPKG, openpkg >= 20100101
BuildPreReq:  apache, apr
PreReq:       apache, apr

%description
    This is the CloudFlare reverse proxy access and X-Forwarded-For
    header extraction extension module for the Apache HTTP webserver.

%track
    prog apache-cloudflare = {
        version   = %{version}
        url       = http://download.openpkg.org/components/versioned/cloudflare/
        regex     = cloudflare-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n cloudflare-CloudFlare-Tools-%{V_github}

%build
    #   build module
    %{l_prefix}/sbin/apxs -c mod_cloudflare.c

%install
    #   install module
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/etc/apache/apache.d \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/apache
    %{l_shtool} install -c -m 755 \
        .libs/mod_cloudflare.so \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/apache/mod_cloudflare.so
    %{l_shtool} install -c -m 644 %{l_value -s -a} \
        %{SOURCE apache-cloudflare.conf} \
        $RPM_BUILD_ROOT%{l_prefix}/etc/apache/apache.d/

    #   determine installation files
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/apache/apache.d/apache-cloudflare.conf'

%files -f files

%clean

%post
    #   after upgrade, restart service
    [ $1 -eq 2 ] || exit 0
    eval `%{l_rc} apache status 2>/dev/null`
    [ ".$apache_active" = .yes ] && %{l_rc} apache restart
    exit 0

